function scatter_five(coord,d1,d2,d3,d4,d5,dk)
col=jet(64);
maxDmg=max([d1;d2;d3;d4;d5]);
% maxDmg=1.0d0;
minDmg=min([d1;d2;d3;d4;d5]);
% if((maxDmg-minDmg)<=1e-16)
%     idx=ones(size(coor,1),1);
% else
idxk=floor((dk-minDmg)/(maxDmg-minDmg)*(64-1))+1;
%end
scatter(coord(:,1),coord(:,2),1800/sqrt(size(coord,1)),col(idxk,:),'filled')
axis([min(coord(:,1)),max(coord(:,1)),min(coord(:,2)),max(coord(:,2))])
axis equal
axis off
colorbar('eastoutside');
colormap(jet);
caxis([minDmg,maxDmg]);
end
